#include <windows.h>
#include "cmemory.h"

#ifndef __STACKCLASS
#define __STACKCLASS

class CStack
{
	private:
		CMemory *mem;
		DWORD top;

	public:
		CStack();
		~CStack();

		void Push(DWORD item);
		DWORD Pop();
		DWORD Top();
		bool Empty();//true, ak je stack prazdny
};

#endif